Summary: Compatibility libraries for Open Motif 2.1.
Name: openmotif21
Version: 2.1.30
Release: 1.2.legacy
License: Open Group Public License
Group: System Environment/Libraries
Source: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/tars/openmotif%{version}.tar.bz2
URL: http://www.openmotif.opengroup.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch1
Patch1: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch2
Patch2: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch3
Patch3: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch4
Patch4: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch5 
Patch10: openmotif2.1.30-demos.patch
Patch11: openmotif2.1.30-debug.patch
Patch12: openmotif2.1.30-ia64.patch
Patch13: openmotif2.1.30-imake.patch
Patch14: openmotif2.1.30-s390.patch
Patch15: salevin.patch
Patch16: largefile.patch
# Fedora Legacy Security Patches
Patch100: openmotif2.1.30-CAN-2004-0687-0688.patch
Patch101: openmotif2.1.30-CAN-2004-0914.patch

Prefix: /usr/X11R6
Conflicts: openmotif < 2.2.2
BuildRequires: automake, XFree86-devel, flex, byacc

%description
This package contains the compatibility libraries for running Open Motif 2.1
applications.

%prep
%setup -q -n motif
%patch0 -p1 -b .pl1
%patch1 -p1 -b .pl2
%patch2 -p1 -b .pl3
%patch3 -p1 -b .pl4
%patch4 -p1 -b .pl5
%patch10 -p1 -b .demos
%patch11 -p1 -b .debug
%patch12 -p1 -b .ia64
%patch13 -p1 -b .imake
%patch14 -p1 -b .s390
%patch15 -p1 -b .display
%patch16 -p1 -b .largefile
# Fedora Legacy Security Patches
%patch100 -p1 -b .can068x
%patch101 -p1 -b .can0914

%build
mkdir -p imports/x11
ln -s /usr/X11R6/bin imports/x11
ln -s /usr/X11R6/include imports/x11
ln -s /usr/X11R6/lib imports/x11
make BOOTSTRAPCFLAGS="$RPM_OPT_FLAGS" World

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install install.man

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT.MOTIF README RELEASE RELNOTES
%{prefix}/lib/lib*.so.*

%changelog
* Thu Dec  2 2004 Rob Myers <rob.myers@gtri.gatech.edu> 2.1.30-1.2.legacy
- apply patch for CAN-2004-0914 (FL #2143)
- use redhat's patch for CAN-2004-0687, CAN-2004-0688
- added BuildRequires: flex, byacc

* Thu Nov  4 2004 Rob Myers <rob.myers@gtri.gatech.edu> 2.1.30-1.1.legacy
- apply patch for CAN-2004-0687, CAN-2004-0688 (FL #2143)
- added BuildRequires: automake, XFree86-devel

* Thu Mar 21 2002 Than Ngo <than@redhat.com>
- turn it into a compat package

* Fri Jan 25 2002 Tim Powers <timp@redhat.com>
- don't obsolete lesstif anymore, play nicely together
- rebuild against new toolchain

* Wed Jan 21 2002 Than Ngo <than@redhat.com> 2.1.30-11
- add some patches from Darrell Commander (supporting largefile)
- fix to build on s390

* Thu Jan 17 2002 Than Ngo <than@redhat.com> 2.1.30-10
- rebuild in 8.0

* Wed Sep  6 2001 Than Ngo <than@redhat.com>
- rebuild for ExtraBinge 7.2

* Thu May 03 2001 Than Ngo <than@redhat.com>
- add 3 official motif patches 
- add rm -rf $RPM_BUILD_ROOT in install section
- remove some old patches which are now in official patches

* Fri Dec 29 2000 Than Ngo <than@redhat.com>
- don't build static debug libraries

* Mon Dec 18 2000 Than Ngo <than@redhat.com>
- bzip2 source

* Mon Jul 24 2000 Than Ngo <than@redhat.de>
- rebuilt against gcc-2.96-44

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- fix imake to built with gcc-2.96 (thanks Jakup)
- put bitmaps in /usr/X11R6/include/X11/bitmaps
- put bindings in /usr/X11R6/lib/Xm/bindings
- add define -D_GNU_SOURCE to build Motif
- gzip man pages
- cleanup specfile

* Mon May 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to patchlevel 2
- remove bindings patch, it's included in pl2

* Tue May 16 2000 Matt Wilson <msw@redhat.com>
- use -fPIC on sparc
- fixed Ngo's "fixes"

* Mon May 15 2000 Ngo Than <than@redhat.de>
- added description.
- fixed spec, added uil stuff.

* Mon May 15 2000 Matt Wilson <msw@redhat.com>
- initialization of spec file.
